Bug 527101 - atl1 repeated link up down
Summary: atl1 repeated link up down
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-04 14:18 UTC by johan
Modified: 2015-09-11 16:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-12 19:16:46 UTC


Attachments (Terms of Use)
dmesg of kernel with pci=nomsi (50.15 KB, application/octet-stream)
2009-10-06 21:16 UTC, johan
no flags Details
lspci -vv (24.83 KB, application/octet-stream)
2009-10-06 21:19 UTC, johan
no flags Details

Description johan 2009-10-04 14:18:04 UTC
dmesg shows 100s of
atl1 0000:01:00.0: eth0 link is down
atl1 0000:01:00.0: eth0 link is up 100 Mbps full duplex
atl1 0000:01:00.0: eth0 link is down
atl1 0000:01:00.0: eth0 link is up 100 Mbps full duplex
..

A related message that looks suspicious:
atl1 0000:01:00.0: Unable to enable MSI: -22

Version-Release number of selected component (if applicable):
Linux blauw 2.6.29.6-217.2.16.fc11.x86_64 #1 SMP Mon Aug 24 17:17:40 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

When looking into this problem I found the same in an identical machine running Fedora 10.
Linux htpc 2.6.27.30-170.2.82.fc10.x86_64 #1 SMP Mon Aug 17 08:18:34 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
When machine is on.

Additional info:
The network connection does function, although it is erratic and slow. (That is why I started looking.)
I have checked cabling and switch, only one single connection to a switch shows the same behaviour. same/other cable, same/other switch, the error remains. Both identical PCs failing at the same task is also unlikely.

Comment 1 Chuck Ebbert 2009-10-06 12:43:52 UTC
Does adding 'pci=nomsi' to the boot options make any difference?

Comment 2 johan 2009-10-06 21:15:18 UTC
The pci=nomsi boot option has no effect.
Googling 'MSI 22 atl1' shows many 'unconditionally enable MSI' references.
So I tried disabling MSI on the pci bridge leading to the ethernet device (echo 0 >/sys/bus/pci/devices/0000\:00\:1c.5/msi_bus), which did not help either.

Comment 3 johan 2009-10-06 21:16:29 UTC
Created attachment 363900 [details]
dmesg of kernel with pci=nomsi

Comment 4 johan 2009-10-06 21:19:51 UTC
Created attachment 363901 [details]
lspci -vv

Comment 5 johan 2009-11-06 21:02:56 UTC
A new switch solved the problem.
Please close this 'bug'.

Comment 6 Fedora Update System 2012-10-20 16:45:58 UTC
libextractor-0.6.3-1805.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libextractor-0.6.3-1805.1.fc18


Note You need to log in before you can comment on or make changes to this bug.